%global version_no_dot 26

Name:           c2esp
Version:        2.6
Release:        2%{?dist}
Summary:        CUPS driver for Kodak AiO printers

Group:          System Environment/Base
License:        GPLv2+
URL:            http://sourceforge.net/projects/cupsdriverkodak/
Source0:        http://downloads.sourceforge.net/cupsdriverkodak/c2esp%{version_no_dot}.tar.gz

Patch0:         c2esp-jbig.patch
Patch1:         c2esp-drv_only.patch

# _cups_serverbin macro
BuildRequires: cups-devel

# postscriptdriver tags
BuildRequires: python-cups cups

# cupsfilters/image.h
BuildRequires: cups-filters-devel

# JBIG1 lossless image compression
BuildRequires: jbigkit-devel

Requires: cups-filesystem

%description
CUPS filters and drivers for Kodak ESP and Hero all in one printers.


%prep
%setup -q -n c2esp%{version_no_dot}

# remove bundled jbigkit source files
rm -f jbig*
%patch0 -p1 -b .jbig

# remove all PPDs
rm -rf ppd/
# install drv files instead of PPDs
%patch1 -p1 -b .drv_only

%build
# Makefile is not ready for %%{?_smp_mflags} (config.h is a shared resource)
CFLAGS="%{optflags}" \
make all

%install
make install DESTDIR=%{buildroot}

# https://fedoraproject.org/wiki/Packaging_tricks#With_.25doc
mkdir __doc
mv  %{buildroot}%{_datadir}/doc/c2esp/* __doc
rm -rf %{buildroot}%{_datadir}/doc/c2esp

# useless
rm -f %{buildroot}%{_bindir}/c2esplog

%files
%doc __doc/COPYING __doc/README __doc/c2esp.txt
%{_cups_serverbin}/filter/c2esp
%{_cups_serverbin}/filter/c2espC
%{_cups_serverbin}/filter/command2esp
%{_datadir}/cups/drv/c2esp

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 09 2013 Jiri Popelka <jpopelka@redhat.com> - 2.6-1
- initial build
